curl --request POST \
--url https://api.preceptai.co.uk/v1/leads/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "Marketing heads at SaaS companies in California",
"webhookUrl": "https://your-site.com/webhook",
"limit": 50,
"enrichType": [
"emails",
"phones"
],
"findInsights": true,
"name": "California SaaS Marketing Heads",
"includeContactDetails": false
}
'{
"message": "Enrichment job successfully created and batches are being processed.",
"enrichment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Bad Request",
"message": "Invalid input, please check the documentation."
}{
"message": "Not enough credits to start enrichment. Please upgrade your plan to start enrichment."
}{
"error": "Internal server error."
}Search Leads via Query
Search and enrich leads using this endpoint.
This endpoint searches for contacts in bulk using natural language queries and can enrich them with contact details and Personalized AI insights:
- Verified email addresses.
- Verified phone numbers.
- Professional summary.
- Top problems.
- Internal strategic initiatives.
- Public appearances.
You can search for up to 1000 contacts in a single request by adjusting the limit parameter.
To receive the results, you must provide a webhookUrl.
curl --request POST \
--url https://api.preceptai.co.uk/v1/leads/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "Marketing heads at SaaS companies in California",
"webhookUrl": "https://your-site.com/webhook",
"limit": 50,
"enrichType": [
"emails",
"phones"
],
"findInsights": true,
"name": "California SaaS Marketing Heads",
"includeContactDetails": false
}
'{
"message": "Enrichment job successfully created and batches are being processed.",
"enrichment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Bad Request",
"message": "Invalid input, please check the documentation."
}{
"message": "Not enough credits to start enrichment. Please upgrade your plan to start enrichment."
}{
"error": "Internal server error."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Natural language query to search for leads (e.g. 'Software architects at tech companies in London').
Optional. Your webhook URL to receive the result of the lead search operations. If not provided, you can poll the GET /v1/jobs/{jobId} endpoint.
Maximum number of leads to return (up to 1000).
x <= 1000The type of data to find. Possible values: emails, phones.
emails, phones Generate AI insights (summary, top problems, strategic initiatives, public appearances) for each lead. Charges 1.1 credits per lead if true, else 0.1 credits.
A readable name for your enrichment job for searching on your dashboard.
Whether to include contact details (email and phone) for the discovered leads. If true, the webhook results will map back these fields as enrich_email and enrich_phone.
Optional LinkedIn activity signal for filtering persona search. Adds +5 credits per lead. Finds people matching your query who recently engaged (posted, liked, commented) with relevant content. (For post author discovery without persona query, use POST /v1/leads/post-search).
Show child attributes
Show child attributes
Optional. When true and a webhookUrl is provided, contact results are progressively streamed in real-time as each lead is enriched (with status: "in_progress"), followed by a final completion webhook when all leads finish.
